comedi_set_counter_mode
Prev | 5.4.6. Extensions | Next

## Name

comedi_set_counter_mode — change mode of a counter subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_set_counter_mode(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int mode`)`;

## Status

alpha

## Description

This function configures a counter subdevice. The meaning of the `mode` parameter is driver-dependent. If the subdevice does not support configuring its mode on a per-channel basis, then the `channel` parameter will be ignored.

It is only useable on subdevices that provide support for the `INSN_CONFIG_SET_COUNTER_MODE` configuration instruction.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_set_clock_source | Home | comedi_set_filter